/procedure/{procedureId}

Get a procedure

Gets a procedure by its ID.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
procedureIdintegerYesProcedure ID
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/procedure/123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
app.Procedureapplication/json
Example
{
  "attachments": [
    {...}
  ],
  "available_as_task": true,
  "board_cards": [
    {...}
  ],
  "budget": "string",
  "comments": [
    {...}
  ],
  "date_begin": 123,
  "date_created": 123,
  "date_deadline": 123,
  "date_end": 123,
  "date_modified": 123,
  "deleted_at": 123,
  "description": "string",
  "done_tasks": 123,
  "estimate_position": {...},
  "estimate_position_id": 123,
  "id": 123,
  "job_id": 123,
  "job_tasks": [
    {...}
  ],
  "listeners": [
    {...}
  ],
  "name": "string",
  "ordinal_number": 123,
  "organisation_id": 123,
  "person_id": 123,
  "priority": 1,
  "small_job": {...},
  "small_users": [
    {...}
  ],
  "status": "nicht begonnen",
  "tags": [
    {...}
  ],
  "tasks": 123,
  "time_estimated": 123,
  "token": "string",
  "users": [
    {...}
  ],
  "worktime": 123.45
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}